Package picard.illumina.parser

## Class PerTileOrPerRunFileUtil

- java.lang.Object
- - picard.illumina.parser.ParameterizedFileUtil
  - - picard.illumina.parser.PerTileFileUtil
    - - picard.illumina.parser.PerTileOrPerRunFileUtil

-     public class PerTileOrPerRunFileUtil
      extends PerTileFileUtil

- - ### Field Summary

    - ### Fields inherited from class picard.illumina.parser.ParameterizedFileUtil

      `base, DefaultSkipEmptyFiles, extension, faker, lane, matchPattern, PER_TILE_PATTERN_STRING, skipEmptyFiles, tiles`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PerTileOrPerRunFileUtil​(String extension, File base, FileFaker faker, int lane)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `checkTileCount()` |
    `boolean` | `filesAvailable()` | Determine whether or not files are available
    `void` | `setTilesForPerRunFile​(List<Integer> tiles)` |
    `List<String>` | `verify​(List<Integer> expectedTiles, int[] expectedCycles)` | Given the expected tiles/expected cycles for this file type, return a list of error messages describing any missing/or malformed files

    - ### Methods inherited from class picard.illumina.parser.PerTileFileUtil

      `fakeFiles, getFiles, getFiles`

    - ### Methods inherited from class picard.illumina.parser.ParameterizedFileUtil

      `escapePeriods, fileToTile, getRunFile, getTiledFiles, getTiles, makeBarcodeRegex, makeLaneTileRegex, setTiles`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerTileOrPerRunFileUtil

          public PerTileOrPerRunFileUtil​(String extension,
                                         File base,
                                         FileFaker faker,
                                         int lane)

  - ### Method Detail

    - #### filesAvailable

          public boolean filesAvailable()

      Description copied from class: `ParameterizedFileUtil`
      Determine whether or not files are available
      Overrides:
        `filesAvailable` in class `PerTileFileUtil`
      Returns:
        return true if files are found matching this types pattern, false otherwise

    - #### setTilesForPerRunFile

          public void setTilesForPerRunFile​(List<Integer> tiles)

      Overrides:
        `setTilesForPerRunFile` in class `ParameterizedFileUtil`

    - #### checkTileCount

          public boolean checkTileCount()

      Overrides:
        `checkTileCount` in class `ParameterizedFileUtil`

    - #### verify

          public List<String> verify​(List<Integer> expectedTiles,
                                     int[] expectedCycles)

      Description copied from class: `ParameterizedFileUtil`
      Given the expected tiles/expected cycles for this file type, return a list of error messages describing any missing/or malformed files
      Overrides:
        `verify` in class `PerTileFileUtil`
      Parameters:
        `expectedTiles` - An ordered list of tile numbers
        `expectedCycles` - An ordered list of cycle numbers that may contain gaps
      Returns:
        A list of error messages for this format